function testSlider

%% Create a slider

% Create a figure
HWIN = figure('menubar','none',...
    'numbertitle','off');

% Get figure size
pos = get(HWIN,'position');

% Create a slider in the middle of the screen
T = jacontrol(HWIN, 'style', 'slider',...
    'units','pixels',...
    'position',[20 pos(4)/2 pos(3)-40 60]);

set(HWIN,'name','A slider');

%% Create ticks

set(T,'minorticks', 10,...
    'majorticks', 20,...
    'paintticks', true);
set(HWIN,'name','Slider with ticks');


%% Create labels

set(T,'paintlabels',true,...
    'labels',{0 'zero';50 'half';100 'all'});

set(HWIN,'name','Slider with labels');