function testTabbedPane

%% Create a TabbedPane

% Create a figure
HWIN = figure('menubar','none',...
    'numbertitle','off');

% Create a TabbedPane in the center of the figure
T = jacontrol(HWIN, 'style', 'TabbedPane',...
    'units','normalized',...
    'position',[.1 0.1 0.8 0.8]);

% Create tabs
for i=1:10
    tab = jacontrol(T,...
        'style', 'panel',...
        'tag', sprintf('tab %d',i),...
        'backgroundcolor',[1 1 1]);
    addTab(T, sprintf('Tab %d',i), tab);
end

set(HWIN,'name','A TabbedPane');
 
%% Add extra tabs
 
for i=11:15
    tab = jacontrol(T,...
        'style', 'panel',...
        'backgroundcolor',[1 1 1]);
    addTab(T, sprintf('Tab %d',i), tab);
end

set(HWIN,'name','A TabbedPane with many tabs');

%% Change tab layout policy

set(T,'tablayoutpolicy', 1); % Hides extra tabs
set(HWIN,'name','A TabbedPane hiding extra tabs');

%% Change tab placement

set(T,'tabplacement', 'left');
set(HWIN,'name','A TabbedPane with tabs on the left');

 
 

