%  xpath - carry out a set or get for an xml-object using xpath syntax   
%   
%  CALL:   
%   S = xpath(obj,ind)   
%   S = xpath(obj,ind,data)   
%   
%  INPUT:   
%   obj:  <xml-object>   
%   ind:  <struct array> with fields   
%                        - type: one of '.' or '()'   
%                        - subs: subscript values (field name or cell array   
%                                of index vectors)   
%         <string> with an xpath expression   
%   data: (optional) with the values to be put in the by ind defined   
%                    fields in the xml-object, allowed types:   
%                     - <struct> matlab structure   
%                     - <xml-object>   
%                     - <org.apache.xerces.dom.ElementImpl>   
%   
%  OUTPUT:   
%   S:       <cell array> in nargin == 2 (get is used)   
%            <xml-object> if nargin == 3 (set is used)   
%   
%  EXAMPLE:   
%   %create an xml from a sourcefile   
%   obj = xml(fullfile(pwd,'examples','books.xml'))   
%   %select the book with title 'Harry Potter'   
%   book = xpath(obj,'parent::/bookstore/book[title="Harry Potter"')   
%   inspect(book{1})   
%   
%  See also: xml, xml/set, xml/get, xml/subsref, xml/subsasgn,   
%            xml/private/buildXpath   
   
   
% © Modelit 2006-2023   
% Matlab release: 2021a   
% Date: 2023/03/30 18:46:31   
