%  xslt - transform the xml-object to html by using a stylesheet   
%   
%  CALL:   
%   HTMLstring = xslt(obj,xsl,fileName)   
%   
%  INPUT:   
%   obj:      <xml-object>   
%   xsl:      <string> filename of the stylesheet   
%   fileName: <string> (optional) the name of the file to which the HTML has   
%                                 to be saved   
%   
%  OUTPUT:   
%   HTMLstring:  <string> to HTML transformed XML string   
%   
%  EXAMPLE:   
%   %create an xml from a sourcefile   
%   obj = xml(fullfile(pwd,'examples','cd_catalog.xml'))   
%   HTMLstring = xslt(obj,fullfile(pwd,'examples','cd_catalog.xsl'))   
%   %display in browser   
%   web(['text://' HTMLstring]);   
%   
%  See also: xml, xml/save, web, xslt   
   
   
% © Modelit 2006-2023   
% Matlab release: 2021a   
% Date: 2023/03/30 18:46:31   
