%  getproperty - Return matching char string from cell array of keywords   
%   
%  CALL:   
%   prop = getproperty(property, validprops, VERBOSE)   
%   
%  INPUT:   
%     property: <string>   
%          String with property. This string contains the first letters of   
%          the keyword searched for. The matching is Case-Insensitive.   
%     validprops: <cell[]>   
%          Cell array with valid property values   
%      VERBOSE: <boolean>   
%          Defaults to true.   
%          If true: display list with suggested options before throwing an   
%          error   
%   
%  OUTPUT:   
%     prop: <string>   
%          String with property that matches validprops. An error will be   
%          thrown in input argument "property" does not match any element of   
%          "validprops"   
%   
%  EXAMPLE:   
%   getproperty('my',{'MySpecialProperty'}) returns 'MySpecialProperty'   
%   
%  See also: rmproperty, varargin2struct   
   
   
% © Modelit 2006-2023   
% Matlab release: 2021a   
% Date: 2023/03/30 18:46:31   
